List criteria
GET
/api/v1/criteria
const url = 'https://example.com/api/v1/criteria?ancestors=true&projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/criteria?ancestors=true&projectId=00000000-0000-0000-0000-000000000000'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” q
string
ids
Comma-separated criterion IDs to include
string
Comma-separated criterion IDs to include
ancestors
When true and ids is set, also include dependency ancestors
string
When true and ids is set, also include dependency ancestors
projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Success
Media type application/json
Array<object>
object
id
required
string
prompt
required
string
dependsOn
Array<string>
gates
Array<string>
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string